Index: sys/fs/procfs/procfs.c
===================================================================
--- sys/fs/procfs/procfs.c      (revision 187415)
+++ sys/fs/procfs/procfs.c      (working copy)
@@ -99,7 +99,6 @@
 int
 procfs_attr(PFS_ATTR_ARGS)
 {
-       PROC_LOCK_ASSERT(p, MA_OWNED);

        /* XXX inefficient, split into separate functions */
        if (strcmp(pn->pn_name, "ctl") == 0 ||
@@ -112,12 +111,16 @@
            strcmp(pn->pn_name, "fpregs") == 0)
                vap->va_mode = 0600;

-       if ((p->p_flag & P_SUGID) && pn->pn_type != pfstype_procdir)
-               vap->va_mode = 0;
+       if (p != NULL) {
+               PROC_LOCK_ASSERT(p, MA_OWNED);

-       vap->va_uid = p->p_ucred->cr_uid;
-       vap->va_gid = p->p_ucred->cr_gid;
+               if ((p->p_flag & P_SUGID) && pn->pn_type != pfstype_procdir)
+                       vap->va_mode = 0;

+               vap->va_uid = p->p_ucred->cr_uid;
+               vap->va_gid = p->p_ucred->cr_gid;
+       }
+
        return (0);
 }